body {
    background: #000;
    display: flex;
    flex-direction: column;
    height: 100%;
    width: 100%;
}

.first {
    margin-bottom: 100px;
}

.header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    height: 12vh;
}

.language {
    margin-right: 20px;
}

.what {
    color: #d0f0e5;
    font-size: 23px;
    font-family: 'x_typewriterregular';
    text-decoration: none;
    margin: 10px;
}

.what:hover {
    font-size: 25px;
    color: #fff;
}

#burger-menu {
    cursor: pointer;
    height: 27px;
    width: 27px;
    margin: 50px;
    overflow: visible;
    position: relative;
    z-index:2;
}

#burger-menu span,
#burger-menu span:before,
#burger-menu span:after {
    background: #d0f0e5;
    display: block;
    height: 4px;
    opacity: 1;
    position: absolute;
    transition: 0.3s ease-in-out;
}

#burger-menu span:before,
#burger-menu span:after {
    content: "";
}

#burger-menu span {
    right: 0px;
    top: 13px;
    width: 27px;
}

#burger-menu span:before {
    left: 0px;
    top: -10px;
    width: 16px;
}

#burger-menu span:after {
    left: 0px;
    top: 10px;
    width: 20px;
}

#burger-menu.close span {
    transform: rotate(-45deg);
    top: 13px;
    width: 27px;
}

#burger-menu.close span:before {
    top: 0px;
    transform: rotate(90deg);
    width: 27px;
}

#burger-menu.close span:after {
    top: 0px;
    left:0;
    transform: rotate(90deg);
    opacity:0;
    width:0;
}

#burger-menu span:hover {
  color: #fff;
  width: 30px;
}

#menu {
    min-width:100%;
    min-height:100%;
    position: fixed;
    top:0;
    opacity: 0;
    visibility: hidden;
    text-align:center;
    transition: all 0.3s ease-in-out;
    z-index: 1;
    background: #000000;
}

#menu.overlay{
  visibility: visible;
    opacity: 1;
    padding-top:100px;
}

#menu li{
    list-style:none;
}

#menu a{
    color: #d0f0e5;
    display:block;
    font-size: 32px;
    font-family: 'x_typewriterregular';
    margin-bottom:30px;
    text-decoration:none;
}

#menu a:hover {
  color: #fff;
  font-size: 35px;
}

canvas {
    position: relative;
    height: 100vh;
    width: 100%;
}

.ml11 {
    font-weight: 400;
    font-size: 53px;
    position: absolute;
    top: 35%;
    left: 15%;
    right: 15%;
    text-align: center;
    font-family: 'x_typewriterregular';
    text-wrap: wrap;
    letter-spacing: 0.5em;
    background: #000000;
    padding: 35px;
}

.ml11 .line {
    opacity: 0;
    position: absolute;
    height: 100%;
    width: 5px;
    background: linear-gradient(to left, #000000, #d0f0e5);
}

.ml11 .line1 { 
    top: 0; 
    left: 0;
}

.ml11 .letter {
    background: linear-gradient(to left, #000000, #d0f0e5);
    -webkit-text-fill-color: transparent;
    -webkit-background-clip: text;
}

.second {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

.console-container {
  font-family: 'x_typewriterregular';
  font-size:64px;
  text-align:center;
  height:200px;
  position:absolute;
  background: linear-gradient(to left, #191919, #d0f0e5);
  -webkit-text-fill-color: transparent;
  -webkit-background-clip: text;
  top:1000px;
  bottom:0;
  left:0;
  right:0;
  margin:auto;
}

.about {
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 100%;
    margin-top: 250px;
    margin-bottom: 0px;
    padding: 5%;
}

.education {
    font-weight: 250;
    font-size: 35px;
    width: 50%;
    font-family: 'x_typewriterregular';
    background: linear-gradient(300deg, #191919, #d0f0e5);
    -webkit-text-fill-color: transparent;
    -webkit-background-clip: text;
    text-align: start;
}

@property --w{
  syntax: "<percentage>";
  inherits: false;
  initial-value: 32%;
}
@property --p1 {
  syntax: "<percentage>";
  inherits: false;
  initial-value: 70%;
}
@property --p2 {
  syntax: "<percentage>";
  inherits: false;
  initial-value: 32%;
}
@property --p3 {
  syntax: "<percentage>";
  inherits: false;
  initial-value: 32%;
}
@property --p4 {
  syntax: "<percentage>";
  inherits: false;
  initial-value: 70%;
}

.parent {
  position: relative;
  width: 400px;
  height: 400px;
  box-shadow: 0px 0px 0px 20px #222,
  0px 0px 20px 40px rgba(255, 255, 255,.2);
  border-radius: 50%;
  overflow: hidden;
}

.code{
  --p1: 70%;
  --p2: 32%;
  --p3: 32%;
  --p4: 70%;
  --w: 25%;
  width: 400px;
  border-radius: 50%;
  aspect-ratio: 1;
  mask: radial-gradient(300px at var(--p1) var(--p2), 
    black var(--w), 
    transparent var(--w) 100%),
    radial-gradient(300px at var(--p3) var(--p4), 
    black var(--w), 
    transparent var(--w) 100%);
  -webkit-mask: radial-gradient(300px at var(--p1) var(--p2), 
    black var(--w), 
    transparent var(--w) 100%),
    radial-gradient(300px at var(--p3) var(--p4), 
    black var(--w), 
    transparent var(--w) 100%);
  cursor: pointer;
  transition: transform .5s ease;
}
img:not(hover) {
  animation: out .3s linear both;
}
img:hover {
  transform: scale(1.1);
  animation: move 1.5s ease both, big 1s .9s ease forwards;
}
@keyframes big {
  from {
    --w: 25%;
  }
  to {
    --w: 100%;
  }
}
@keyframes out {
  from {
    --w: 100%;

  }
  to {
    --w: 25%;
  }
}
@keyframes move {
  0%, 100% {
    --p1: 70%;
    --p2: 32%;
    --p3: 32%;
    --p4: 70%;
  }
  35% {
    --p1: 32%;
    --p2: 70%;
    --p3: 70%;
    --p4: 32%;
  }
  50% {
    --p1: 70%;
    --p2: 60%;
    --p3: 32%;
    --p4: 30%;
  }
  100% {
    --p1: 50%;
    --p2: 50%;
    --p3: 50%;
    --p4: 50%;
  }
}

.skills {
  margin-top: 110px;
}

.fancy-wipe {
    text-align: center;
    color: #fff;
    margin-bottom: 70px;
    text-align: center;
    font-weight: 400;
    font-size: 72px;
    font-family: 'x_typewriterregular';
}

#container {
    width: 100%;
    height: 500px;
    -webkit-perspective: 800;
    -webkit-perspective-origin: 50% 225px;
  }

  .knowledge {
    font-weight: 250;
    font-size: 25px;
    font-family: 'x_typewriterregular';
    margin-top: 20px;
  }
  
  #stage {
    width: 100%;
    height: 100%;
    -webkit-transition: -webkit-transform 2s;
    -webkit-transform-style: preserve-3d;
  }
  
  #shape {
    position: relative;
    top: 100px;
    margin: 0 auto;
    height: 200px;
    width: 200px;
    -webkit-transform-style: preserve-3d;
  }
  
  .plane {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    position: absolute;
    height: 200px;
    width: 200px;
    border: 1px solid white;
    -webkit-border-radius: 12px;
    -webkit-box-sizing: border-box;
    text-align: center;
    color: black;
    background-color: rgba(255, 255, 255, 0.8);
    -webkit-transition: -webkit-transform 2s, opacity 2s;
    -webkit-backface-visibility: hidden;
  }
  
  #shape.backfaces .plane {
    -webkit-backface-visibility: visible;
  }
  
  #shape {
    -webkit-animation: spin 20s infinite linear;
  }
  
  @-webkit-keyframes spin {
    from {
      -webkit-transform: rotateY(0);
    }
  
    to {
      -webkit-transform: rotateY(-360deg);
    }
  }
  
  .cube > .one {
    opacity: 0.8;
    -webkit-transform: scale3d(1.2, 1.2, 1.2) rotateX(90deg) translateZ(100px);
  }
  
  .cube > .two {
    opacity: 0.8;
    -webkit-transform: scale3d(1.2, 1.2, 1.2) translateZ(100px);
  }
  
  .cube > .three {
    opacity: 0.8;
    -webkit-transform: scale3d(1.2, 1.2, 1.2) rotateY(90deg) translateZ(100px);
  }
  
  .cube > .four {
    opacity: 0.8;
    -webkit-transform: scale3d(1.2, 1.2, 1.2) rotateY(180deg) translateZ(100px);
  }
  
  .cube > .five {
    opacity: 0.8;
    -webkit-transform: scale3d(1.2, 1.2, 1.2) rotateY(-90deg) translateZ(100px);
  }
  
  .cube > .six {
    opacity: 0.8;
    -webkit-transform: scale3d(1.2, 1.2, 1.2) rotateX(-90deg) translateZ(100px)
      rotate(180deg);
  }
  
  .cube > .seven {
    -webkit-transform: scale3d(0.8, 0.8, 0.8) rotateX(90deg) translateZ(100px)
      rotate(180deg);
  }
  
  .cube > .eight {
    -webkit-transform: scale3d(0.8, 0.8, 0.8) translateZ(100px);
  }
  
  .cube > .nine {
    -webkit-transform: scale3d(0.8, 0.8, 0.8) rotateY(90deg) translateZ(100px);
  }
  
  .cube > .ten {
    -webkit-transform: scale3d(0.8, 0.8, 0.8) rotateY(180deg) translateZ(100px);
  }
  
  .cube > .eleven {
    -webkit-transform: scale3d(0.8, 0.8, 0.8) rotateY(-90deg) translateZ(100px);
  }
  
  .cube > .twelve {
    -webkit-transform: scale3d(0.8, 0.8, 0.8) rotateX(-90deg) translateZ(100px);
  }
  
  .ring > .one {
    -webkit-transform: translateZ(380px);
  }
  
  .ring > .two {
    -webkit-transform: rotateY(30deg) translateZ(380px);
  }
  
  .ring > .three {
    -webkit-transform: rotateY(60deg) translateZ(380px);
  }
  
  .ring > .four {
    -webkit-transform: rotateY(90deg) translateZ(380px);
  }
  
  .ring > .five {
    -webkit-transform: rotateY(120deg) translateZ(380px);
  }
  
  .ring > .six {
    -webkit-transform: rotateY(150deg) translateZ(380px);
  }
  
  .ring > .seven {
    -webkit-transform: rotateY(180deg) translateZ(380px);
  }
  
  .ring > .eight {
    -webkit-transform: rotateY(210deg) translateZ(380px);
  }
  
  .ring > .nine {
    -webkit-transform: rotateY(-120deg) translateZ(380px);
  }
  
  .ring > .ten {
    -webkit-transform: rotateY(-90deg) translateZ(380px);
  }
  
  .ring > .eleven {
    -webkit-transform: rotateY(300deg) translateZ(380px);
  }
  
  .ring > .twelve {
    -webkit-transform: rotateY(330deg) translateZ(380px);
  }

.sertificates {
  height: 500px;
}

.image-container {
  margin-top: 0px;
  margin: auto;
  width: 200px;
  height: 200px;
  transform-style: preserve-3d;
  transform: perspective(1000px) rotateY(0deg);
  transition: transform .7s;
}
  
  .icSpan {
  position: absolute;
  top: 70px;
  left: 0;
  width: 100%;
  transform: rotateY(calc(var(--i) * 90deg)) translateZ(400px);
}
  
  .icImg {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  aspect-ratio: 1/1;
  -o-object-fit: cover;
  object-fit: cover;
  filter: grayscale(100%);
}
  
  .btn-container {
  position: relative;
  margin-top: 350px;
}
  
  .btn {
  position: absolute;
  background-color: #7D7C7C;
  color:#d0f0e5;
  border: 2px solid #66fb67;
  padding: 10px 30px;
  border-radius: 5px;
  cursor: pointer;
  font-size: 18px;
  font-family: 'x_typewriterregular';
}
  
  .btn:hover {
  filter: brightness(0.5);
  color: #fff;
  font-size: 20px;
}
  
  .image-container span img:hover {
  filter: none;
}
  
  #prev {
  left: 55%;
}
  
  #next {
  right: 55%;
}

.third {
  display: flex;
  justify-content: center;
  flex-direction: column;
  margin-top: 70px;
}

.stage {
  height: 300px;
  width: 500px;
  margin: auto;
  margin-bottom: 200px;
  margin-top: 0px;
  perspective: 9999px;
  transform-style: preserve-3d;
}

.layer {
  width: 100%;
  height: 100%;
  position: absolute;
  transform-style: preserve-3d;
  animation: ಠ_ಠ 5s infinite alternate ease-in-out -7.5s;
  animation-fill-mode: forwards;
  transform: rotateY(22deg) rotateX(22deg) translateZ(0);
}

.layer:after {
  font-family: 'x_typewriterregular';
  font-size: 120px;
  font-weight: 0.5;
  content: "Мої\a проекти";
  white-space: pre;
  text-align: center;
  height: 100%;
  width: 100%;
  position: absolute;
  top: 50px;
  color: #d0f0e5;
  letter-spacing: -2px;
  text-shadow: 4px 0 10px #7D7C7C;
}

.layer:nth-child(1):after {
  transform: translateZ(0px);
}

.layer:nth-child(2):after {
  transform: translateZ(-1.5px);
}

.layer:nth-child(3):after {
  transform: translateZ(-3px);
}

.layer:nth-child(4):after {
  transform: translateZ(-4.5px);
}

.layer:nth-child(5):after {
  transform: translateZ(-6px);
}

.layer:nth-child(6):after {
  transform: translateZ(-7.5px);
}

.layer:nth-child(7):after {
  transform: translateZ(-9px);
}

.layer:nth-child(8):after {
  transform: translateZ(-10.5px);
}

.layer:nth-child(9):after {
  transform: translateZ(-12px);
}

.layer:nth-child(10):after {
  transform: translateZ(-13.5px);
}

.layer:nth-child(11):after {
  transform: translateZ(-15px);
}

.layer:nth-child(12):after {
  transform: translateZ(-16.5px);
}

.layer:nth-child(13):after {
  transform: translateZ(-18px);
}

.layer:nth-child(14):after {
  transform: translateZ(-19.5px);
}

.layer:nth-child(15):after {
  transform: translateZ(-21px);
}

.layer:nth-child(16):after {
  transform: translateZ(-22.5px);
}

.layer:nth-child(17):after {
  transform: translateZ(-24px);
}

.layer:nth-child(18):after {
  transform: translateZ(-25.5px);
}

.layer:nth-child(19):after {
  transform: translateZ(-27px);
}

.layer:nth-child(20):after {
  transform: translateZ(-28.5px);
}

.layer:nth-child(n+10):after {
  -webkit-text-stroke: 3px rgba(0, 0, 0, 0.25);
}

.layer:nth-child(n+11):after {
  -webkit-text-stroke: 15px #7D7C7C;
  text-shadow: 6px 0 6px #66fb67, 5px 5px 5px #66fb67, 0 6px 6px #66fb67;
}

.layer:nth-child(n+12):after {
  -webkit-text-stroke: 15px #66fb67;
}

.layer:last-child:after {
  -webkit-text-stroke: 17px rgba(0, 0, 0, 0.1);
}

.layer:first-child:after {
  color: #fff;
  text-shadow: none;
}

@keyframes ಠ_ಠ {
  100% {
    transform: rotateY(-20deg) rotateX(-20deg);
  }
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

.works {
  height: 100vh;
  display: grid;
  place-items: center;
  overflow: hidden;
}

main {
  position: relative;
  width: 100%;
  height: 100%;
  box-shadow: 0 3px 10px rgba(0,0,0,0.3);
}

.item {
  border: 2px solid #66fb67;
  width: 200px;
  height: 300px;
  list-style-type: none;
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  z-index: 1;
  background-position: center;
  background-size: cover;
  border-radius: 20px;
  box-shadow: 0 20px 30px rgba(255,255,255,0.3) inset;
  transition: transform 0.1s, left 0.75s, top 0.75s, width 0.75s, height 0.75s;

  &:nth-child(1), &:nth-child(2) {
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    transform: none;
    border-radius: 0;
    box-shadow: none;
    opacity: 1;
  }

  &:nth-child(3) { left: 50%; }
  &:nth-child(4) { left: calc(50% + 220px); }
  &:nth-child(5) { left: calc(50% + 440px); }
  &:nth-child(6) { left: calc(50% + 660px); }
  &:nth-child(7) { left: calc(50% + 880px); }
  &:nth-child(8) { left: calc(50% + 1100px);}
  &:nth-child(9) { left: calc(50% + 1320px);}
  &:nth-child(10) { left: calc(50% + 1540px); opacity: 0; }
}

.content {
  width: 600px;
  position: absolute;
  top: 50%;
  left: 16px;
  transform: translateY(-50%);
  color: #fff;
  text-shadow: 0 3px 8px #191919;
  opacity: 0;
  display: none;
  background: #7D7C7C;
  padding: 3%;
  border-radius: 20px;
  border: 2px solid #66fb67;
}

  .title {
    font-family: 'x_typewriterregular';
    text-transform: uppercase;
    font-size: 40px;
}

  .description {
    line-height: 1.7;
    margin: 16px 0 24px;
    font-size: 19px;
    font-family: 'x_typewriterregular';
}

  .site {
    background-color: rgba(255,255,255,0.5);
    border: 2px solid #66fb67;
    border-radius: 10px;
    padding: 12px;
    cursor: pointer;
    font-family: 'x_typewriterregular';
    font-size: 16px;
}

  .web-site {
    text-decoration: none;
    color: rgba(0,0,0,0.7);
}

.item:nth-of-type(2) .content {
  display: block;
  animation: show 1s ease-in-out 0.7s forwards;
}

@keyframes show {
  0% {
    filter: blur(5px);
    transform: translateY(calc(-50% + 75px));
  }
  100% {
    opacity: 1;
    filter: blur(0);
  }
}

.nav {
  position: absolute;
  bottom: 32px;
  left: 50%;
  transform: translateX(-50%);
  z-index: 5;
  user-select: none;
}

  .button {
    background-color:#7D7C7C;
    color: #fff;
    border: 2px solid #66fb67;
    margin: 0 4px;
    padding: 12px;
    border-radius: 50%;
    cursor: pointer;
}

.button:hover, .site:hover {
  filter: brightness(0.5);
}

.intro {
  text-align:center;
  padding-top:200px;
  margin-top: 100px;
}

.contact-me {
  color:#d0f0e5;
  font-family: 'x_typewriterregular';
	width:790px;
	margin:0 auto;
	font-size:50px; 
	border-top:4px solid #d0f0e5;
	border-bottom:4px solid #d0f0e5;
	padding:5px 0;
	animation: play 1.5s infinite ease-in-out;
}

@keyframes play {
	0% {
		transform:translateY(0px);
	}
	20% {
		transform:translateY(0px);
	}
	40% {
		transform:translateY(-30px);
	}
	60%{
		transform:translateY(0px);	
	}

	80%{transform:translateY(-15px);}
	100%{transform:translateY(0px);}
}

.contacts-info {
  display: flex;
  justify-content: center;
  align-items: center;
  margin-top: 100px;
}

.contact {
  display: flex;
  flex-direction: column;
  padding: 5%;
  width: 50%;
}

.email {
  display: flex;
  align-items: center;
  padding: 2%;
}

.call {
  color: #d0f0e5;
  font-family: 'x_typewriterregular';
  font-size: 25px;
}

.section {
  color: #d0f0e5;
  font-family: 'x_typewriterregular';
  font-size: 20px;
  margin-left: 20px;
  text-decoration: none;
}

.section:hover, .footer-menu:hover {
  filter: brightness();
  font-size: 22px;
  color: #fff;
}

.forms {
  width: 50%;
  padding: 5%;
  margin-left: 3%;
}

.heading {
  background: #7D7C7C;
  border-radius: 10px;
  padding: 5%;
  width: 530px;
  margin-bottom: 5%;
}

label {
  display: flex;
  justify-content: center;
  align-items: center;
  color: #d0f0e5;
  font-family: 'x_typewriterregular';
  font-size: 25px;
}

.text-input {
  text-align: center;
  margin-left: 3%;
  background: #d0f0e5;
  border: none;
  border-radius: 10px;
  padding: 12px 20px;
  font-family: 'x_typewriterregular';
  font-size: 17px;
}

.forms-button {
  background: #7D7C7C;
  width: 530px;
  padding: 4%;
  color: #d0f0e5;
  font-family: 'x_typewriterregular';
  font-size: 22px;
  border-radius: 10px;
}

.footer {
  display: flex;
  justify-content: space-around;
  margin: auto;
  align-items: center;
  margin-top: 300px;
  width: 90%;
}

.footer-menu {
  color: #d0f0e5;
  font-family: 'x_typewriterregular';
  font-size: 20px;
  margin-left: 20px;
  text-decoration: none;
}

@property --eyelid {
  syntax: "<percentage>";
  inherits: false;
  initial-value: 0%;
}

@property --eyelid2 {
  syntax: "<percentage>";
  inherits: false;
  initial-value: 0%;
}

.eyes {
  width: 250px;
  padding-block: 20px;
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 20px;
}
  
.eye {
    position: relative;
    width: 90px;
    aspect-ratio: 1;
    background: white;
    border-radius: 50%;
    overflow: hidden;
    display: flex;
    align-items: center;
    justify-content: center;
    &:before,
    &:after {
      content: '';
      position: absolute;
      width: 116%;
      height: 165%;
      left: 50%;
      animation: eyelid 5s ease-in-out infinite;
      z-index: 1;
  }

    &:before {
      top: 0;
      border-radius: 0% 0% 40% 40%;
      transform: translateY(var(--eyelid)) translateX(-50%);
      border-bottom: 40px solid black;
    }
    
    &:after {
      bottom: 0;
      border-radius: 40% 40% 0% 0%;
      transform: translateY(var(--eyelid2)) translateX(-50%);
      border-top: 40px solid black;
    }
    
.animation-eye {
      position: absolute;
      width: 60px;
      aspect-ratio: inherit;
      background: black;
      border-radius: inherit;
    }
  }

@keyframes eyelid {
  0% {
    --eyelid: -50%;
    --eyelid2: 50%;
  }
  3% {
    --eyelid: 0%;
    --eyelid2: 0%;
  }
  6% {
    --eyelid: -50%;
    --eyelid2: 50%;
  }
  9%,100% {
    --eyelid: 0%;
    --eyelid2: 0%;
  }
}

:root {
  --color-green: #000000;
  --color-white: #d0f0e5;
}

.text-carousel-wrapper {
  background: var(--color-green);
  width: 100%;
  overflow: hidden;
  margin-top: 100px;
}

.text-carousel {
  font-family: 'x_typewriterregular';
  display: flex;
  animation-play-state: running;
  animation: 8s linear 0s infinite normal loop;
}

.carousel {
  font-size: 32px;
  font-weight: bold;
  font-style: italic;
  color: var(--color-white);
  display: inline-block;
  min-width: 250px;
  padding: 10px 30px;
  flex: 0 0 auto;
}

@keyframes loop {
  from {
    transform: translateX(0);
  }
  
  to {
    transform: translateX(-310px);
  }
}

@media all and (max-width:800px) {
  #menu.overlay {
    width: 60%;
  }

    canvas {
        width: 100%;
        height: 90vh;
    }

    .ml11 {
        left: 2%;
        right: 3%;
        font-size: 37px;
    }

    .console-container {
      font-size: 56px;
      top:1200px;
    }

    .about {
      flex-direction: column;
      justify-content: center;
      margin-top: 15%;
    }

    .education {
      margin-left: 3.5%;
      margin-top: 200px;
      width: 100%;
    }

    .stage {
      height: 100px;
      width: 200px;
    }

    .layer:after {
      font-size: 80px;
      top: 0px;
    }

    .works {
      height: 83vh;
    }

    .content {
      width: 385px;
      height: 570px;
    }

    .title { 
      font-size: 33px; 
    }
    
    .description {
      font-size: 27px; 
      padding: 15px;
    }
    
    .site { 
      font-size: 27px;
      margin-top: 20px;
    }

    .item {
      width: 250px;
      height: 450px;
      &:nth-child(3) { left: 60%; }
      &:nth-child(4) { left: calc(60% + 500px); }
      &:nth-child(5) { left: calc(60% + 750px); }
      &:nth-child(6) { left: calc(60% + 1000px); opacity: 0; }
    }

    .button {
        padding: 25px;
      }

    #container {
      margin-bottom: 0px;
      height: 300px;
      margin-top: 50px;
    }

    
    #shape {
      height: 130px;
      width: 130px;
      top: 30px;
    }
    
    .plane {
      height: 150px;
      width: 150px;
    }

    .knowledge {
      font-size: 25px;
    }

    .icons {
      width: 35px;
    }

    .cube > .one {
      -webkit-transform: scale3d(1.2, 1.2, 1.2) rotateX(90deg) translateZ(65px);
    }
    
    .cube > .two {
      -webkit-transform: scale3d(1.2, 1.2, 1.2) translateZ(65px);
    }
    
    .cube > .three {
      -webkit-transform: scale3d(1.2, 1.2, 1.2) rotateY(90deg) translateZ(65px);
    }
    
    .cube > .four {
      -webkit-transform: scale3d(1.2, 1.2, 1.2) rotateY(180deg) translateZ(65px);
    }
    
    .cube > .five {
      -webkit-transform: scale3d(1.2, 1.2, 1.2) rotateY(-90deg) translateZ(65px);
    }
    
    .cube > .six {
      -webkit-transform: scale3d(1.2, 1.2, 1.2) rotateX(-90deg) translateZ(65px)
        rotate(180deg);
    }
    
    .cube > .seven {
      -webkit-transform: scale3d(0.8, 0.8, 0.8) rotateX(90deg) translateZ(65px)
        rotate(180deg);
    }
    
    .cube > .eight {
      -webkit-transform: scale3d(0.8, 0.8, 0.8) translateZ(65px);
    }
    
    .cube > .nine {
      -webkit-transform: scale3d(0.8, 0.8, 0.8) rotateY(90deg) translateZ(65px);
    }
    
    .cube > .ten {
      -webkit-transform: scale3d(0.8, 0.8, 0.8) rotateY(180deg) translateZ(65px);
    }
    
    .cube > .eleven {
      -webkit-transform: scale3d(0.8, 0.8, 0.8) rotateY(-90deg) translateZ(65px);
    }
    
    .cube > .twelve {
      -webkit-transform: scale3d(0.8, 0.8, 0.8) rotateX(-90deg) translateZ(65px);
    }
    
    .ring > .one {
      -webkit-transform: translateZ(300px);
    }
    
    .ring > .two {
      -webkit-transform: rotateY(30deg) translateZ(300px);
    }
    
    .ring > .three {
      -webkit-transform: rotateY(60deg) translateZ(300px);
    }
    
    .ring > .four {
      -webkit-transform: rotateY(90deg) translateZ(300px);
    }
    
    .ring > .five {
      -webkit-transform: rotateY(120deg) translateZ(300px);
    }
    
    .ring > .six {
      -webkit-transform: rotateY(150deg) translateZ(300px);
    }
    
    .ring > .seven {
      -webkit-transform: rotateY(180deg) translateZ(300px);
    }
    
    .ring > .eight {
      -webkit-transform: rotateY(210deg) translateZ(300px);
    }
    
    .ring > .nine {
      -webkit-transform: rotateY(-120deg) translateZ(300px);
    }
    
    .ring > .ten {
      -webkit-transform: rotateY(-90deg) translateZ(300px);
    }
    
    .ring > .eleven {
      -webkit-transform: rotateY(300deg) translateZ(300px);
    }
    
    .ring > .twelve {
      -webkit-transform: rotateY(330deg) translateZ(300px);
    }

    .image-container {
      margin-top: 50px;
      width: 200px;
      height: 200px;
    }

    .icSpan {
      transform: rotateY(calc(var(--i) * 90deg)) translateZ(200px);
    }

    .btn-container {
      margin-top: 230px;
    }

    .sertificates {
      height: 400px;
    }
    
    .btn {
      padding: 10px 25px;
      font-size: 22px;
      }

      .intro {
        margin-top: 0px;
      }

      .contact-me {
        width: 500px;
        font-size: 35px;
      }

      .contacts-info {
        flex-direction: column;
        margin-top: 30px;
      }

      .contact {
        width: 90%;
      }

      .call {
        font-size: 30px;
      }
      
      .section {
        font-size: 25px;
      }

      .forms {
        width: 90%;
      }
      
      .heading {
        width: 100%;
      }
      
      label {
        font-size: 27px;
      }
      
      .text-input {
        font-size: 21px;
      }
      
      .forms-button {
        width: 100%;
        font-size: 27px;
      }

      .footer-menu {
        font-size: 25px;
      }

      .footer {
        flex-direction: column;
        width: 98%;
      } 
      
      .eyes {
        margin-top: 30px;
        margin-bottom: 30px;
      }

      .carousel {
        font-size: 25px;
      }
}

@media all and (max-width:500px) {
  #menu a{
    font-size: 27px;
    margin-top: 10px;
}

  canvas {
    height: 60vh;
}

    .ml11 {
        font-size: 29px;
        padding: 8px;
        letter-spacing: 0.4em;
    }

    .what {
        font-size: 22px;
    }

    #burger-menu {
        height: 22px;
        width: 22px;
    }

    .console-container {
      font-size: 35px;
      top:90%;
    }

    .about {
      margin-top: 18%;
    }

    .parent {
      top: 0px;
      width: 250px;
      height: 250px;
    }

    .code{
      width: 250px;
      mask: radial-gradient(200px at var(--p1) var(--p2), 
        black var(--w), 
        transparent var(--w) 100%),
        radial-gradient(200px at var(--p3) var(--p4), 
        black var(--w), 
        transparent var(--w) 100%);
      -webkit-mask: radial-gradient(200px at var(--p1) var(--p2), 
        black var(--w), 
        transparent var(--w) 100%),
        radial-gradient(200px at var(--p3) var(--p4), 
        black var(--w), 
        transparent var(--w) 100%);
    }

    .education {
      margin-left: 1.5%;
      margin-top: 120px;
      font-size: 30px;
    }

    .stage {
      height: 120px;
      margin-bottom: 100px;
    }

    .layer:after {
      font-size: 50px;
      top: 2px;
    }

    .works {
      height: 87vh;
    }

    .content {
      width: 250px;
      height: 530px;
      margin: auto;
      top: 45%;
    }

    .title  { 
        font-size: 26px; 
        margin: 0;
        text-align: center;
    }

    .description  { 
      font-size: 25px;
      margin-top: 20px; 
    }

    .site { 
      font-size: 22px;
      padding: 13px;
      margin-top: 15px;
      margin-left: 20px;
    }

    .item {
      top: 45%;
      width: 130px;
      height: 350px;
      &:nth-child(3) { left: 73%; }
      &:nth-child(4) { left: calc(73% + 140px); }
      &:nth-child(5) { left: calc(73% + 280px); }
      &:nth-child(6) { left: calc(73% + 420px); opacity: 0; }
    }

    .button {
        padding: 24px;
        top: 50px;
      }

    .skills {
      margin-top: 50px;
    }

    .fancy-wipe {
      font-size: 40px;
      margin-top: 0px;
      margin-bottom: 40px;
    }

    #container {
      margin-top: 15px;
      height: 200px;
    }

    #shape {
      height: 90px;
      width: 90px;
      top: 30px;
    }
    
    .plane {
      height: 110px;
      width: 110px;
    }

    .knowledge {
      font-size: 20px;
    }

    .icons {
      width: 30px;
    }

    .cube > .one {
      -webkit-transform: scale3d(1.2, 1.2, 1.2) rotateX(90deg) translateZ(55px);
    }
    
    .cube > .two {
      -webkit-transform: scale3d(1.2, 1.2, 1.2) translateZ(55px);
    }
    
    .cube > .three {
      -webkit-transform: scale3d(1.2, 1.2, 1.2) rotateY(90deg) translateZ(55px);
    }
    
    .cube > .four {
      -webkit-transform: scale3d(1.2, 1.2, 1.2) rotateY(180deg) translateZ(55px);
    }
    
    .cube > .five {
      -webkit-transform: scale3d(1.2, 1.2, 1.2) rotateY(-90deg) translateZ(55px);
    }
    
    .cube > .six {
      -webkit-transform: scale3d(1.2, 1.2, 1.2) rotateX(-90deg) translateZ(55px)
        rotate(180deg);
    }
    
    .cube > .seven {
      -webkit-transform: scale3d(0.8, 0.8, 0.8) rotateX(90deg) translateZ(55px)
        rotate(180deg);
    }
    
    .cube > .eight {
      -webkit-transform: scale3d(0.8, 0.8, 0.8) translateZ(55px);
    }
    
    .cube > .nine {
      -webkit-transform: scale3d(0.8, 0.8, 0.8) rotateY(90deg) translateZ(55px);
    }
    
    .cube > .ten {
      -webkit-transform: scale3d(0.8, 0.8, 0.8) rotateY(180deg) translateZ(55px);
    }
    
    .cube > .eleven {
      -webkit-transform: scale3d(0.8, 0.8, 0.8) rotateY(-90deg) translateZ(55px);
    }
    
    .cube > .twelve {
      -webkit-transform: scale3d(0.8, 0.8, 0.8) rotateX(-90deg) translateZ(55px);
    }
    
    .ring > .one {
      -webkit-transform: translateZ(220px);
    }
    
    .ring > .two {
      -webkit-transform: rotateY(30deg) translateZ(220px);
    }
    
    .ring > .three {
      -webkit-transform: rotateY(60deg) translateZ(220px);
    }
    
    .ring > .four {
      -webkit-transform: rotateY(90deg) translateZ(220px);
    }
    
    .ring > .five {
      -webkit-transform: rotateY(120deg) translateZ(220px);
    }
    
    .ring > .six {
      -webkit-transform: rotateY(150deg) translateZ(220px);
    }
    
    .ring > .seven {
      -webkit-transform: rotateY(180deg) translateZ(220px);
    }
    
    .ring > .eight {
      -webkit-transform: rotateY(210deg) translateZ(220px);
    }
    
    .ring > .nine {
      -webkit-transform: rotateY(-120deg) translateZ(220px);
    }
    
    .ring > .ten {
      -webkit-transform: rotateY(-90deg) translateZ(220px);
    }
    
    .ring > .eleven {
      -webkit-transform: rotateY(300deg) translateZ(220px);
    }
    
    .ring > .twelve {
      -webkit-transform: rotateY(330deg) translateZ(220px);
    }

    .image-container {
      width: 165px;
      height: 165px;
      margin-top: 0px;
    }

    .icSpan {
      transform: rotateY(calc(var(--i) * 90deg)) translateZ(165px);
    }
    
    .btn-container {
      margin-top: 180px;
    }

    .btn {
      padding: 10px 25px;
      font-size: 20px;
    }

    .sertificates {
      height: 350px;
    }

    .intro {
      padding-top:50px;
      margin-top: 100px;
    }

    .contact-me {
      width: 300px;
      font-size: 35px;
    }

    .contacts-info {
      margin-top: 30px;
    }

    .call {
      font-size: 27px;
    }

    .section {
      font-size: 23px;
      margin-left: 2px;
    }

    .section:hover, .footer-menu:hover {
      font-size: 24px;
    }

    .phone-img {
      width: 25px;
    }

    .email-img {
      width: 40px;
    }

    .forms {
      display: flex;
      justify-content: center;
      width: 100%;
      padding: 0%;
      margin-left: 0px;
    }
    
    .heading {
      padding: 9%;
      width: 350px;
    }
    
    label {
      display: flex;
      flex-direction: column;
      font-size: 23px;
    }
    
    .text-input {
      text-align: center;
      margin-top: 4%;
      margin-left: 3%;
      font-size: 20px;
    }
    
    .forms-button {
      width: 350px;
      padding: 4%;
      font-size: 23px;
      margin-top: 0;
    }
    
    .footer-menu {
      font-size: 24px;
      margin-left: 0px;
    }

    .carousel {
      font-size: 25px;
    }
}



